Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Base_Transport_Property Class Reference

A concrete implementation for connnection property. More...

`#include <Base_Transport_Property.h>`

Inheritance diagram for TAO_Base_Transport_Property:

[legend]
Collaboration diagram for TAO_Base_Transport_Property:

[legend]
List of all members.

## Public Methods
| TAO_Base_Transport_Property (void)
| Default constructor.
| TAO_Base_Transport_Property (TAO_Endpoint *endpoint, CORBA::Boolean flag=0)
| Constructor.
virtual | ~TAO_Base_Transport_Property (void)
| Destructor.
| TAO_Base_Transport_Property (const TAO_Base_Transport_Property &rhs)
| The copy constructor.
virtual TAO_Transport_Descriptor_Interface * | duplicate (void)
virtual CORBA::Boolean | is_equivalent (const TAO_Transport_Descriptor_Interface *other_prop)
| Try to determine if this object is same as the <other_prop>.
virtual u_long | hash (void) const
| Generate hash value for our class.

## Detailed Description

A concrete implementation for connnection property.

This class is a concrete implementation of a simple connection property class. This provides an implementation for the virtual functions declared in TAO_Transport_Descriptor_Interface.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Base_Transport_Property::TAO_Base_Transport_Property | ( | void |  | ) |

| Default constructor.

ACE_INLINE TAO_Base_Transport_Property::TAO_Base_Transport_Property | ( | TAO_Endpoint * | endpoint,
|  | CORBA::Boolean | flag = 0
| ) |

| Constructor.

TAO_Base_Transport_Property::~TAO_Base_Transport_Property | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE TAO_Base_Transport_Property::TAO_Base_Transport_Property | ( | const TAO_Base_Transport_Property & | rhs | ) |

| The copy constructor.

## Member Function Documentation

TAO_Transport_Descriptor_Interface * TAO_Base_Transport_Property::duplicate | ( | void |  | ) | `[virtual]`

| This call allocates and copies the contents of this class and returns the pointer Implements TAO_Transport_Descriptor_Interface.

u_long TAO_Base_Transport_Property::hash | ( | void |  | ) | const`[virtual]`

| Generate hash value for our class. Implements TAO_Transport_Descriptor_Interface.

CORBA::Boolean TAO_Base_Transport_Property::is_equivalent | ( | const TAO_Transport_Descriptor_Interface * | other_prop | ) | `[virtual]`

| Try to determine if this object is same as the <other_prop>. Implements TAO_Transport_Descriptor_Interface.

The documentation for this class was generated from the following files:

- Base_Transport_Property.h
- Base_Transport_Property.cpp
- Base_Transport_Property.inl